Bug 655139 - HP DL320G6 unresponsive when Vt-d enabled
Summary: HP DL320G6 unresponsive when Vt-d enabled
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-19 17:41 UTC by Gerd v. Egidy
Modified: 2012-08-16 18:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:05:20 UTC


Attachments (Terms of Use)
Screenshot showing the error messages (67.20 KB, image/png)
2010-11-19 17:41 UTC, Gerd v. Egidy
no flags Details
dmesg without vt-d (68.43 KB, text/plain)
2010-11-19 17:46 UTC, Gerd v. Egidy
no flags Details
lspci -vvv -nn (62.12 KB, text/plain)
2010-11-19 17:46 UTC, Gerd v. Egidy
no flags Details

Description Gerd v. Egidy 2010-11-19 17:41:43 UTC
Created attachment 461610 [details]
Screenshot showing the error messages

Description of problem:

The system becomes unresponsive a few seconds after boot. On the console I get messages as in the attached screenshot. The system still responds to ping, but e.g. logging in locally or via ssh is not possible anymore. I guess all disk access is stalled.

The only workarounds I've found are
1) disable vt-d in bios
2) pass "intel_iommu=off" kernel paramenter

But this way I can't use vt-d anymore which I plan to use.

The problem also appears when installing Fedora, here the installer hangs with the same messages.

The kernel I've tried this with is 2.6.35.6-48.fc14.x86_64 but the problem also appears with some 2.6.34 releases I compiled myself earlier.

The machine is a HP DL320 G6 with one Xeon E5520. The chipset is from the Intel 5500 series. This combination should allow for vt-d.

The BIOS is version W07 (10/16/2010) which is as of today the newest version posted on HP's website.

How reproducible:
100%

Steps to Reproduce:
1. boot with vt-d enabled
2. wait till login prompt appears
3. wait about 10 seconds
4. try to log in or some other action which requires disk access
  
Actual results:
no login possible, no response exept the DMAR error messages as in screenshot

Expected results:
login possible

I have attached the screenshot, lspci and dmesg. The dmesg is from a boot with intel_iommu=off as due to the bug I can't save one when vt-d is enabled.

Comment 1 Gerd v. Egidy 2010-11-19 17:46:13 UTC
Created attachment 461612 [details]
dmesg without vt-d

Comment 2 Gerd v. Egidy 2010-11-19 17:46:49 UTC
Created attachment 461613 [details]
lspci -vvv -nn

Comment 3 Fedora End Of Life 2012-08-16 18:05:23 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.